#include "kimo2chbrowser.h"
//
Kimo2chBrowser::Kimo2chBrowser(QWidget *parent) 
	: QTextBrowser(parent)
{
	// TODO
}

void Kimo2chBrowser::mouseMoveEvent(QMouseEvent *event)
{
	if(!leaved && event->x() < MARGIN)
	{
		leaveFromLeft();
		leaved = true;
	}
	else if(!leaved && event->x() >= (width() - MARGIN))
	{
		leaveFromRight();
		leaved = true;
	}
	else if(!leaved && event->y() < MARGIN)
	{
		leaveFromTop();
		leaved = true;
	}
	else if(!leaved && event->y() >= (height() - 1 - MARGIN))
	{
		leaveFromBottom();
		leaved = true;
	}
	else if(leaved)
	{
		mouseEntered();
		leaved = false;
	}
}
//
