#include "abonedialog.h"

AboneDialog::AboneDialog(QWidget	*parent)
	: QDialog(parent)
{
	setupUi(this);
}

void	AboneDialog::addAbone()
{
	switch(aboneTabWidget->currentIndex())
	{
		case	aboneNameTab:
			dynamic_cast<QStandardItemModel*>(aboneNameView->model())->appendRow(new QStandardItem(tr("New Item")));
			break;
		
		case	aboneMailTab:
			dynamic_cast<QStandardItemModel*>(aboneMailView->model())->appendRow(new QStandardItem(tr("New Item")));
			break;
		
		case	aboneIdTab:
			dynamic_cast<QStandardItemModel*>(aboneIdView->model())->appendRow(new QStandardItem(tr("New Item")));
			break;
		
		case	aboneWordTab:
			dynamic_cast<QStandardItemModel*>(aboneWordView->model())->appendRow(new QStandardItem(tr("New Item")));
			break;
		
	}
}

void	AboneDialog::removeAbone()
{
	QList<QModelIndex>	nameSelectList(aboneNameView->selectionModel()->selectedRows());
	QList<QModelIndex>	mailSelectList(aboneMailView->selectionModel()->selectedRows());
	QList<QModelIndex>	idSelectList(aboneIdView->selectionModel()->selectedRows());
	QList<QModelIndex>	wordSelectList(aboneWordView->selectionModel()->selectedRows());
	QList<QModelIndex>::iterator	iter;
	switch(aboneTabWidget->currentIndex())
	{
		case	aboneNameTab:
			iter = nameSelectList.begin();
			while(iter != nameSelectList.end())
			{
				dynamic_cast<QStandardItemModel*>(aboneNameView->model())->takeRow((*iter).row());
				iter++;
			}
			break;
		
		case	aboneMailTab:
			iter = mailSelectList.begin();
			while(iter != mailSelectList.end())
			{
				dynamic_cast<QStandardItemModel*>(aboneMailView->model())->takeRow((*iter).row());
				iter++;
			}
//			dynamic_cast<QStandardItemModel*>(aboneMailView->model())->takeRow(aboneMailView->currentIndex().row());
			break;
			
		case	aboneIdTab:
			iter = idSelectList.begin();
			while(iter != idSelectList.end())
			{
				dynamic_cast<QStandardItemModel*>(aboneIdView->model())->takeRow((*iter).row());
				iter++;
			}
			//dynamic_cast<QStandardItemModel*>(aboneIdView->model())->takeRow(aboneIdView->currentIndex().row());
			break;
			
		case	aboneWordTab:
			iter = wordSelectList.begin();
			while(iter != wordSelectList.end())
			{
				dynamic_cast<QStandardItemModel*>(aboneWordView->model())->takeRow((*iter).row());
				iter++;
			}
//			dynamic_cast<QStandardItemModel*>(aboneWordView->model())->takeRow(aboneWordView->currentIndex().row());
			break;
	}
}