#ifndef __KIMO2CHFAVORITESHANDLER_H__
#define __KIMO2CHFAVORITESHANDLER_H__

#include <QtGui>
#include <QtXml>

// place your code here

struct	Favorite
{
	QString	name;
	QString	URL;
	int		resCount;
};

class	Kimo2chFavoritesHandler : public	QXmlDefaultHandler
{
public:
	Kimo2chFavoritesHandler(QList<Favorite>	*list);
	virtual	~Kimo2chFavoritesHandler()	{}
	
	virtual	bool	startElement(const QString &, const QString &, const QString	&qName, const QXmlAttributes	&atts);
	virtual	bool	endElement(const QString &, const QString &, const QString	&qName);
	virtual	bool	characters(const QString	&ch);

private:
	QList<Favorite>	*favoriteList;
	Favorite	favorite;
	QString		target;
	int		row;
};
#endif // __KIMO2CHFAVORITESHANDLER_H__
