#ifndef KIMO2CHBROWSER_H
#define KIMO2CHBROWSER_H
//
#include <QTextBrowser>
#include <QMouseEvent>
//

#define MARGIN 0

class Kimo2chBrowser : public QTextBrowser
{
Q_OBJECT
public:
	Kimo2chBrowser(QWidget *parent = 0);
	virtual	~Kimo2chBrowser();

	virtual void mouseMoveEvent(QMouseEvent *event);
	
signals:
	void leaveFromLeft();
	void leaveFromRight();
	void leaveFromTop();
	void leaveFromBottom();
	void mouseEntered();
	
private:
	bool leaved;
};
#endif
