// place your code here

#include "kimo2chframe.h"

Kimo2chFrame::Kimo2chFrame(QWidget *parent)
	: QFrame(parent)
{
	leaved = false;
}

Kimo2chFrame::~Kimo2chFrame()
{
	
}

void Kimo2chFrame::mouseMoveEvent(QMouseEvent *event)
{
	if(!leaved && event->x() < MARGIN)
	{
		leaved = true;
		leaveFromLeft();
	}
	else if(!leaved &&event->y() < MARGIN)
	{
		leaved = true;
		leaveFromTop();
	}
	else if(!leaved && event->y() > height() - 1 - MARGIN)
	{
		leaved = true;
		leaveFromBottom();
	}
	else if(leaved)
	{
		leaved = false;
		mouseEntered();
	}
}
