#ifndef KIMO2CHFRAME_H
#define KIMO2CHFRAME_H

#include <QMouseEvent>
#include <QFrame>

const int MARGIN = 2;

class Kimo2chFrame : public QFrame
{
	Q_OBJECT
public:
	Kimo2chFrame(QWidget *parent);
	virtual ~Kimo2chFrame();

	virtual void mouseMoveEvent(QMouseEvent *event);
signals:
	void	leaveFromLeft();
	void	leaveFromRight();
	void	leaveFromTop();
	void	leaveFromBottom();
	void	mouseEntered();
	
private:
	bool	leaved;
};

#endif
