#include <QApplication>
#include <stdlib.h>
#include "mainwindowimpl.h"
#include "globals.h"

MainWindowImpl	*gMainWindow;
Kimo2chPrefs	applicationPrefs;
//
int main(int argc, char ** argv)
{
	QApplication::setDesktopSettingsAware(true);
	QApplication app( argc, argv, true );
	QCoreApplication::setApplicationName(APPNAME);
//	QCoreApplication::setOrganizationName(organization);

	QString locale = QLocale::system().name();
	QTranslator translator;
	translator.load(APPNAME + "_" + locale, RESOURCEDIR);
	app.installTranslator(&translator);

	MainWindowImpl win;
	gMainWindow = &win;

	win.show();
	app.connect( &app, SIGNAL( lastWindowClosed() ), &app, SLOT( quit() ) );
	return app.exec();
}
