#ifndef __XMLPREFSHANDLER_H__
#define __XMLPREFSHANDLER_H__

#include <QtXml>

struct	Kimo2chPrefs
{
	QString	boardListURL;
	bool	rebuildListOnStartup;
	QString	initialName;
	QString	initialMail;
	bool	defaultSage;
	int		windowHeight;
	int		windowWidth;
	QString	browserFontFamily;
	int		browserFontSize;
	QList<int>	columnWidth;
	QStringList	sessionURLs;
	bool	isUseProxy;
	QString	proxyHost;
	quint16	proxyPort;
	QString	proxyUser;
	QString	proxyPassword;
};

class	XmlPrefsHandler : public	QXmlDefaultHandler
{
//Q_OBJECT;
public:
	XmlPrefsHandler(Kimo2chPrefs	*prefs);
	virtual	~XmlPrefsHandler()	{}
	
	bool	startElement(const QString&, const QString&, const QString &name, const QXmlAttributes&);
	bool	characters(const QString &ch);
	
private:
	Kimo2chPrefs	*prefsRef;
	QString	itemName;
};

#endif // __XMLPREFSHANDLER_H__
